org.keycloak.authorization.jpa.entities

## Class ScopeEntity

- java.lang.Object
- - org.keycloak.authorization.jpa.entities.ScopeEntity

- All Implemented Interfaces:
    Scope

      @Entity
      public class ScopeEntity
      extends Object
      implements Scope

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getIconUri()` Returns an icon `URI` for this scope.
    `String` | `getId()` Returns the unique identifier for this instance.
    `String` | `getName()` Returns the name of this scope.
    `List<? extends Policy>` | `getPolicies()`
    `ResourceServerEntity` | `getResourceServer()` Returns the `ResourceServer` instance to where this scope belongs to.
    `int` | `hashCode()`
    `void` | `setIconUri(String iconUri)` Sets an icon `URI` for this scope.
    `void` | `setId(String id)`
    `void` | `setName(String name)` Sets a name for this scope.
    `void` | `setPolicies(List<PolicyEntity> policies)`
    `void` | `setResourceServer(ResourceServerEntity resourceServer)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeEntity

          public ScopeEntity()

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `Scope`
      Returns the unique identifier for this instance.
      Specified by:
        `getId` in interface `Scope`
      Returns:
        the unique identifier for this instance

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

      Description copied from interface: `Scope`
      Returns the name of this scope.
      Specified by:
        `getName` in interface `Scope`
      Returns:
        the name of this scope

    - #### setName

          public void setName(String name)

      Description copied from interface: `Scope`
      Sets a name for this scope. The name must be unique.
      Specified by:
        `setName` in interface `Scope`
      Parameters:
        `name` - the name of this scope

    - #### getIconUri

          public String getIconUri()

      Description copied from interface: `Scope`
      Returns an icon `URI` for this scope.
      Specified by:
        `getIconUri` in interface `Scope`
      Returns:
        a uri for an icon

    - #### setIconUri

          public void setIconUri(String iconUri)

      Description copied from interface: `Scope`
      Sets an icon `URI` for this scope.
      Specified by:
        `setIconUri` in interface `Scope`

    - #### getResourceServer

          public ResourceServerEntity getResourceServer()

      Description copied from interface: `Scope`
      Returns the `ResourceServer` instance to where this scope belongs to.
      Specified by:
        `getResourceServer` in interface `Scope`
      Returns:

    - #### getPolicies

          public List<? extends Policy> getPolicies()

    - #### setPolicies

          public void setPolicies(List<PolicyEntity> policies)

    - #### setResourceServer

          public void setResourceServer(ResourceServerEntity resourceServer)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.